from doctest import DocFileSuite

from utils import buildDoctestSuite


# to add a new module to the test runner, simply include is in the list below:
modules = [
    'pylispng.lisp',
    'pylispng.graph',
    'pylispng.sexpr',
    'pylispng.parser',
    'pylispng.symbol',
]

suite = [DocFileSuite("../README")]
if modules:
    suite.append(buildDoctestSuite(modules))

if __name__ == '__main__':
    import unittest
    runner = unittest.TextTestRunner(verbosity=2)
    runner.run(unittest.TestSuite(suite))

