"""
Utility functions for Evolve.
"""
property_cache = {}


class DynamicList(list):
    """
    A list that pre-populates as needed.
    """
    def __setitem__(self, index, value):
        start = len(self)
        end = index
        if end >= start:
            self.extend([None for x in xrange(end-start+1)])
        try:
            super(DynamicList, self).__setitem__(index, value)
        except:
            import pdb;pdb.set_trace()
